Bug 1828790 - [e2e] [sig-api-machinery] CustomResourcePublishOpenAPI [Feature:CustomResourcePublishOpenAPI] works for CRD with validation schema [Suite:openshift/conformance/parallel] [Suite:k8s]
Summary: [e2e] [sig-api-machinery] CustomResourcePublishOpenAPI [Feature:CustomResourc...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-apiserver
Version: 4.4
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.4.z
Assignee: Lukasz Szaszkiewicz
QA Contact: Ke Wang
URL:
Whiteboard:
Depends On: 1761043
Blocks: 1830093
TreeView+ depends on / blocked
 
Reported: 2020-04-28 11:17 UTC by Lukasz Szaszkiewicz
Modified: 2020-05-26 16:50 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1761043
Environment:
Last Closed: 2020-05-26 16:50:33 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift origin pull 24924 None closed Bug 1828790: provides a temporal fix to improve CRD publishing e2e tests in an HA setup 2020-06-18 13:42:55 UTC
Red Hat Product Errata RHBA-2020:2180 None None None 2020-05-26 16:50:49 UTC

Comment 2 Periklis Tsirakidis 2020-04-29 09:05:48 UTC
Job failed on elease-openshift-ocp-installer-e2e-aws-4.5:

https://prow.svc.ci.openshift.org/view/gcs/origin-ci-test/logs/release-openshift-ocp-installer-e2e-aws-4.5/1600

Comment 3 Brett Tofel 2020-04-30 13:21:20 UTC
There seems to also be a fail in a seemingly related test:

[sig-api-machinery] CustomResourcePublishOpenAPI [Privileged:ClusterAdmin] [Top Level] [sig-api-machinery] CustomResourcePublishOpenAPI [Privileged:ClusterAdmin] works for CRD without validation schema [Conformance] [Suite:openshift/conformance/parallel/minimal] [Suite:k8s]

Note the "without"

https://prow.svc.ci.openshift.org/view/gcs/origin-ci-test/logs/release-openshift-origin-installer-e2e-aws-4.4/819

Comment 5 Ben Parees 2020-05-07 21:32:23 UTC
hopefully this fix also resolves:
[sig-api-machinery] CustomResourcePublishOpenAPI [Privileged:ClusterAdmin] [Top Level] [sig-api-machinery] CustomResourcePublishOpenAPI [Privileged:ClusterAdmin] works for CRD with validation schema [Conformance]

?

Comment 6 Lukasz Szaszkiewicz 2020-05-08 07:17:59 UTC
yes, it applies to all "CustomResourcePublishOpenAPI [Privileged:ClusterAdmin]" tests, it looks promissing for 4.5 - https://testgrid.k8s.io/redhat-openshift-ocp-release-4.5-blocking#release-openshift-origin-installer-e2e-gcp-4.5&sort-by-flakiness

Comment 10 Ke Wang 2020-05-18 03:51:07 UTC
From https://testgrid.k8s.io/redhat-openshift-ocp-release-4.4-blocking#release-openshift-origin-installer-e2e-gcp-4.4&sort-by-flakiness view, searching the keywords 'works for CRD with validation schema' on page, we can see the test '[sig-api-machinery] CustomResourcePublishOpenAPI [Feature:CustomResourcePublishOpenAPI]' related blocks all are green over the past 4 days.

Do a quick searching with https://search.apps.build01.ci.devcluster.openshift.com/?search=failed%3A.*works+for+CRD+with+validation+schema&maxAge=168h&context=2&type=bug%2Bjunit&name=&maxMatches=5&maxBytes=20971520&groupBy=job&wrap=on , there is no related errors for 4.4 over the past 7 days as well.

So the bug was fixed. move the bug verified.

Comment 12 errata-xmlrpc 2020-05-26 16:50:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2180


Note You need to log in before you can comment on or make changes to this bug.